/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_941672112")

  // add field
  collection.fields.addAt(3, new Field({
    "hidden": false,
    "id": "select1002219032",
    "maxSelect": 1,
    "name": "vote_type",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "select",
    "values": [
      "like",
      "dislike"
    ]
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_941672112")

  // remove field
  collection.fields.removeById("select1002219032")

  return app.save(collection)
})
